Skip to main content
POST
/
organization
/
{organizationId}
/
users
cURL
curl --request POST \
  --url https://app.teable.ai/api/organization/%7BorganizationId%7D/users \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '[{"departmentId":"string","id":"string","email":"string","name":"string","phone":"string"}]'
const url = 'https://app.teable.ai/api/organization/%7BorganizationId%7D/users';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '[{"departmentId":"string","id":"string","email":"string","name":"string","phone":"string"}]'
};

try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}
const http = require('https');

const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/organization/%7BorganizationId%7D/users',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};

const req = http.request(options, function (res) {
const chunks = [];

res.on('data', function (chunk) {
chunks.push(chunk);
});

res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});

req.write(JSON.stringify([
{
departmentId: 'string',
id: 'string',
email: 'string',
name: 'string',
phone: 'string'
}
]));
req.end();
import http.client

conn = http.client.HTTPSConnection("app.teable.ai")

payload = "[{\"departmentId\":\"string\",\"id\":\"string\",\"email\":\"string\",\"name\":\"string\",\"phone\":\"string\"}]"

headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}

conn.request("POST", "/api/organization/%7BorganizationId%7D/users", payload, headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))


[
  {
    "id": "<string>",
    "email": "<string>",
    "name": "<string>",
    "phone": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Body

application/json
email
string
required
departmentId
string
id
string
name
string
phone
string

Response

201 - application/json

Create users successfully

id
string
required
email
string
required
name
string
required
phone
string
Last modified on July 10, 2026